%%%%%%%%%%%%
%% Please rename this main.tex file and the output PDF to
%% [lastname_firstname_graduationyear]
%% before submission.
%%
%% This .tex file is for use with BibLaTeX. Please use
%% main-bibtex.tex instead if you prefer BibTeX.
%%%%%%%%%%%%

\documentclass[12pt]{caltech_thesis}
\usepackage[hyphens]{url}
\usepackage{lipsum}
\usepackage{graphicx}
\graphicspath{{figures/}}
\usepackage{todonotes}
\usepackage{tensor}

%% Tentative: newtx for better-looking Times
\usepackage[utf8]{inputenc}
\usepackage[T1]{fontenc}
\usepackage{newtxtext,newtxmath}

% Must use biblatex to produce the Published Contents and Contributions, per-chapter bibliography (if desired), etc.
\usepackage[
    backend=biber,natbib,
    % IMPORTANT: load a style suitable for your discipline
    style=authoryear
]{biblatex}

% Name of your .bib file(s)
\addbibresource{example.bib}
\addbibresource{ownpubs.bib}

\begin{document}

% Do remember to remove the square bracket!
\title{To be determined}
\author{Alvin Ka Yue Li}

\degreeaward{Doctor of Philosophy in Physics}                 % Degree to be awarded
\university{California Institute of Technology}    % Institution name
\address{Pasadena, California}                     % Institution address
\unilogo{caltech.png}                                 % Institution logo
\copyyear{2024}  % Year (of graduation) on diploma
\defenddate{[Exact Date]}          % Date of defense

\orcid{0000-0001-6728-6523}

%% IMPORTANT: Select ONE of the rights statement below.
\rightsstatement{All rights reserved}

%\todo[size=\footnotesize]{Choose one from the choices in the source code!! And delete this \texttt{todo} when you're done that. :-)}}
% \rightsstatement{All rights reserved except where otherwise noted}
% \rightsstatement{Some rights reserved. This thesis is distributed under a [name license, e.g., ``Creative Commons Attribution-NonCommercial-ShareAlike License'']}

%%  If you'd like to remove the Caltech logo from your title page, simply remove the "[logo]" text from the maketitle command
\maketitle[logo]
%\maketitle

\begin{acknowledgements} 	 
   [Add acknowledgements here. If you do not wish to add any to your thesis, you may simply add a blank titled Acknowledgements page.]
\end{acknowledgements}

\begin{abstract}
   [This abstract must provide a succinct and informative condensation of your work. Candidates are welcome to prepare a lengthier abstract for inclusion in the dissertation, and provide a shorter one in the CaltechTHESIS record.]
\end{abstract}

%% Uncomment the `iknowhattodo' option to dismiss the instruction in the PDF.
\begin{publishedcontent}%[iknowwhattodo]
% List your publications and contributions here.
\nocite{Cahn:etal:2015,Cahn:etal:2016}
\end{publishedcontent}

\tableofcontents
\listoffigures
\listoftables
\printnomenclature

\mainmatter

% Section I%
\part{Preliminaries}
%\begin{center}
%\huge
%{\bf Section I: Preliminaries}
%\end{center}

\chapter{Front matter}
\input{chapter_front_matter}

\chapter{Basics of general relativity}

\chapter{Introduction to gravitational waves}
\input{chapter_introduction_to_gravitational_waves}

\chapter{Data analysis of gravitational waves from compact binary coalescences - An overview}
\input{chapter_data_analysis_of_gw_from_cbc_an_overview}

\part{Work and developments related to the GstLAL search pipeline}

\chapter{The GstLAL search pipeline - An overview}
\input{chapter_gstlal_search_pipeline}

\chapter{O4a Online GstLAL analysis}
\input{chapter_gstlal_o4a_analysis}

\chapter{Building a better GstLAL ranking statistics (I): The inclusion of data quality information}
\input{chapter_idq_info}

\chapter{Building a better GstLAL ranking statistics (II): The inclusion of sky localization information}
\input{chapter_sky_localization_gstlal}

% Section III%
\part{Gravitational Lensing of Gravitational Waves}

\chapter{Introduction to gravitational lensing}
\input{chapter_introduction_to_gravitational_lensing}

\chapter{Gravitational lensing of gravitational waves - An overview}
\input{chapter_lensing_of_gw}

\chapter{The Targeted subthreshold search for strongly lensed GWs (TESLA)}
\input{chapter_tesla_traditional}

\chapter{Seven times the charm: The seven referee reports that help us to explain why TESLA is really effective}
\input{chapter_the_back_and_forth_of_tesla_journal_submission}

\chapter{Search for lensing signatures in the first half of LVK's third observing run}
\input{chapter_o3a_lensing_paper}

\chapter{Search for lensing signatures in LVK's full third observing run}
\input{chapter_full_o3_lensing_paper}

\chapter{TESLA-X: A more effective targeted search method for sub-threshold strongly lensed gravitational waves}
\input{chapter_tesla_x}

\chapter{Re-ranking possible sub-threshold lensed candidates with lensing likelihoods}
\input{chapter_lensing_likelihood}

\chapter{Future developments for the TESLA method}

\part{Summary}

\chapter{Summary and future work}
\input{chapter_summary_and_future_work}


%Start off all chapters with \verb|chapter|. \index{chapter!numbered} \verb|\extrachapter| will give you an unnumbered chapter that's added to the Table of Contents. \index{chapter!unnumbered}

Here's an example of a citation \citep{GMP81}. Here's another \citep{PP98}. These will appear in the big bibliography at the end of the thesis.
\index{bibliography}

%If you're new to \LaTeX{} and would like to begin by learning the basics, please see our free online course available at:\\ \url{https://www.overleaf.com/latex/learn/free-online-introduction-to-latex-part-1} \index{LaTeX@\LaTeX}

%You can define nomenclatures \index{nomenclature} as you talk about key terms in your thesis. So what's a galaxy? \nomenclature{Galaxy}{A system of stars independent from all other systems}


%\section{This is a Section}
%\lipsum[1-2]

%\begin{figure}[hbt!]
%\centering
%\includegraphics[width=.3\textwidth]{caltech.png}
%\caption{This is a figure}\label{fig:logo}
%\index{figures}
%\end{figure}

%\subsection{This is a subsection}

%\begin{table}[hbt!]
%\centering
%\begin{tabular}{ll}
%\hline
%Area & Count\\
%\hline
%North & 100\\
%South & 200\\
%East & 80\\
%West & 140\\
%\hline
%\end{tabular}
%\caption{This is a table}\label{tab:sample}
%\index{tables}
%\end{table}

%\lipsum[3] \nomenclature{Asteroid}{A very small planet ranging from 1,000 km to less than one km in diameter. Asteroids are found commonly around other larger planets}

%\lipsum[4-5] 

%Here's an endnote.\endnote{Endnotes are notes that you can use to explain text in a document.}

%\section{This is Another Section}
%\lipsum[6-7] 

%\chapter{This is the Second Chapter}
%\begin{refsection}
%If you'd like to have separate bibliographies at the end of each chapter, put a \verb|refsection| around the material of each chapter, then cite as usual -- e.g.~\citep{GMP81,Ful83}. Then do a \verb|\printbibliography| just before the \verb|refsection| ends. \index{bibliography!by chapter}

%\printbibliography[heading=subbibliography]
%\end{refsection}


%\chapter{This is the Third Chapter}

%\publishedas{Cahn:etal:2015}

%[You can have chapters that were published as part of your thesis. The text style of the body should be single column, as it was submitted to the publisher, not formatted as the publisher did.]

%\chapter{This is the Fourth Chapter}
%\chapter{This is the Fifth Chapter}
%\chapter{This is the Sixth Chapter}
%\chapter{This is the Seventh Chapter}
%\chapter{This is the Eighth Chapter}

\printbibliography
%\printbibliography[heading=bibintoc]

\appendix

%\chapter{Questionnaire}
%\chapter{Consent Form}

\printindex

%\theendnotes

%% Pocket materials at the VERY END of thesis
%\pocketmaterial
%\extrachapter{Pocket Material: Map of Case Study Solar Systems} 


\end{document}
